JavaScript
import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
const execution = await client.executions.get('id');
console.log(execution.id);import os
from rizaio import Riza
client = Riza(
api_key=os.environ.get("RIZA_API_KEY"), # This is the default and can be omitted
)
execution = client.executions.get(
"id",
)
print(execution.id)package main
import (
"context"
"fmt"
"github.com/riza-io/riza-api-go"
"github.com/riza-io/riza-api-go/option"
)
func main() {
client := riza.NewClient(
option.WithAPIKey("My API Key"), // defaults to os.LookupEnv("RIZA_API_KEY")
)
execution, err := client.Executions.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", execution.ID)
}{
"duration": 123,
"exit_code": 123,
"id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"details": {
"request": {
"env": [
{
"name": "<string>",
"secret_id": "<string>",
"value": "<string>"
}
],
"http": {
"allow": [
{
"auth": {
"basic": {
"password": "<string>",
"secret_id": "<string>",
"user_id": "<string>"
},
"bearer": {
"secret_id": "<string>",
"token": "<string>"
},
"query": {
"key": "<string>",
"secret_id": "<string>",
"value": "<string>"
}
},
"host": "<string>"
}
]
},
"input": "<unknown>",
"revision_id": "<string>"
},
"response": {
"execution": {
"duration": 123,
"exit_code": 123,
"id": "<string>",
"stderr": "<string>",
"stdout": "<string>"
},
"output": "<unknown>"
},
"tool_id": "<string>",
"type": "tool"
}
}{
"code": 16,
"message": "unauthenticated"
}Execution
Retrieve execution
Retrieves an execution.
JavaScript
import Riza from '@riza-io/api';
const client = new Riza({
apiKey: process.env['RIZA_API_KEY'], // This is the default and can be omitted
});
const execution = await client.executions.get('id');
console.log(execution.id);import os
from rizaio import Riza
client = Riza(
api_key=os.environ.get("RIZA_API_KEY"), # This is the default and can be omitted
)
execution = client.executions.get(
"id",
)
print(execution.id)package main
import (
"context"
"fmt"
"github.com/riza-io/riza-api-go"
"github.com/riza-io/riza-api-go/option"
)
func main() {
client := riza.NewClient(
option.WithAPIKey("My API Key"), // defaults to os.LookupEnv("RIZA_API_KEY")
)
execution, err := client.Executions.Get(context.TODO(), "id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", execution.ID)
}{
"duration": 123,
"exit_code": 123,
"id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"details": {
"request": {
"env": [
{
"name": "<string>",
"secret_id": "<string>",
"value": "<string>"
}
],
"http": {
"allow": [
{
"auth": {
"basic": {
"password": "<string>",
"secret_id": "<string>",
"user_id": "<string>"
},
"bearer": {
"secret_id": "<string>",
"token": "<string>"
},
"query": {
"key": "<string>",
"secret_id": "<string>",
"value": "<string>"
}
},
"host": "<string>"
}
]
},
"input": "<unknown>",
"revision_id": "<string>"
},
"response": {
"execution": {
"duration": 123,
"exit_code": 123,
"id": "<string>",
"stderr": "<string>",
"stdout": "<string>"
},
"output": "<unknown>"
},
"tool_id": "<string>",
"type": "tool"
}
}{
"code": 16,
"message": "unauthenticated"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I